[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2022-05-30 Thread Alessandro Barbieri
commit: e86780e94e143e3bfc98a909b55269d5ca58c33e
Author: Alessandro Barbieri  gmail  com>
AuthorDate: Mon May 30 13:07:53 2022 +
Commit: Alessandro Barbieri  gmail  com>
CommitDate: Mon May 30 13:17:12 2022 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e86780e9

dev-python/pytest-instafail: enable py3.11

Signed-off-by: Alessandro Barbieri  gmail.com>

 dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
index d314d11ae..addd07cc0 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
 inherit distutils-r1
 
 DESCRIPTION="Plugin for pytest that shows failures and errors instantly"



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2021-08-14 Thread Anna Vyalkova
commit: 9105d0ffe0796b8c7d5eeefbaea65012676c6e7e
Author: Anna (cybertailor) Vyalkova  sysrq  in>
AuthorDate: Fri Aug 13 19:55:49 2021 +
Commit: Anna Vyalkova  sysrq  in>
CommitDate: Sat Aug 14 01:53:23 2021 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9105d0ff

dev-python/pytest-instafail: bump EAPI and python

Signed-off-by: Anna (cybertailor) Vyalkova  sysrq.in>

 .../pytest-instafail/pytest-instafail-0.4.2.ebuild | 30 +-
 1 file changed, 7 insertions(+), 23 deletions(-)

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
index 0599a10ad..44da12ecc 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
@@ -1,10 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-
-PYTHON_COMPAT=( pypy3 python3_{7,8,9} )
+EAPI=8
 
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
 inherit distutils-r1
 
 DESCRIPTION="Plugin for pytest that shows failures and errors instantly"
@@ -16,28 +15,13 @@ 
SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
 
-RDEPEND="
-   >=dev-python/pytest-2.9[${PYTHON_USEDEP}]
-"
-BDEPEND="test? (
-   dev-python/pexpect[${PYTHON_USEDEP}]
-   dev-python/pytest-xdist[${PYTHON_USEDEP}]
-   )
-"
+RDEPEND=">=dev-python/pytest-2.9[${PYTHON_USEDEP}]"
+BDEPEND="test? ( dev-python/pexpect[${PYTHON_USEDEP}] )"
 
 distutils_enable_tests pytest
 
-python_prepare_all() {
-   # pexpect.exceptions.EOF: End Of File (EOF). Exception style platform.
-   sed -i -e 's:test_print_stacktrace_once_with_pdb:_&:' \
-   test_instafail.py  || die
-
-   distutils-r1_python_prepare_all
-}
-
 python_test() {
-   distutils_install_for_testing
-   pytest -vv || die "Testsuite failed under ${EPYTHON}"
+   epytest --deselect 
test_instafail.py::TestInstafailingTerminalReporter::test_print_stacktrace_once_with_pdb
 }



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2020-10-22 Thread Andrew Ammerlaan
commit: f7a4d75f59717aa6d0a3237c08ca49e939a4c496
Author: Andrew Ammerlaan  riseup  net>
AuthorDate: Thu Oct 22 14:39:13 2020 +
Commit: Andrew Ammerlaan  riseup  net>
CommitDate: Thu Oct 22 14:39:13 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f7a4d75f

dev-python/pytest-instafail: version bump 0.4.2

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan  riseup.net>

 dev-python/pytest-instafail/Manifest   |  2 +-
 .../pytest-instafail-0.4.1_p0.ebuild   | 39 --
 ..._p0-r1.ebuild => pytest-instafail-0.4.2.ebuild} | 27 ---
 3 files changed, 16 insertions(+), 52 deletions(-)

diff --git a/dev-python/pytest-instafail/Manifest 
b/dev-python/pytest-instafail/Manifest
index f617288e..6f6278fa 100644
--- a/dev-python/pytest-instafail/Manifest
+++ b/dev-python/pytest-instafail/Manifest
@@ -1 +1 @@
-DIST pytest-instafail-0.4.1_p0.tar.gz 5301 BLAKE2B 
542ae74fa6f381e58252f7a00bf4e1a5208679a6c56d0c9e2e39b46daec34459c2fe2b4ec8c2e6a94d517a769df0019752b1f87257e70a00683e3bb72f3f2d93
 SHA512 
1e2d7a1dd13ab11d5f6a5e8876aa8a48a6ff9012707d63023d709bfb1aa9a9ee3c088fc9b507d4b75d41e7ab1474154937575b2fa3a6f1bfb286fc3865f70382
+DIST pytest-instafail-0.4.2.tar.gz 5384 BLAKE2B 
ac9701476a6b707bc678c3368d02408bec9ea5ffa84abe60bd5b455ff00b860399e9993f388eef1d08335d98c5f1b6c66f99d8143053ac09dc6696f7cf96a4f0
 SHA512 
31d7b2f2e6f4fa4a43001f9a3e983b6a7506bce9bb4c1568f07f7bc58cb469d7a514a73a04c84a5b2836dfb223ddbeb86a4c0e5ec9cb8e1e8eb5eb9b

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild
deleted file mode 100644
index 07d96963..
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-MY_PV=${PV/_p/.post}
-
-DESCRIPTION="Plugin for pytest that shows failures and errors instantly"
-HOMEPAGE="
-   https://github.com/pytest-dev/pytest-instafail
-   https://pypi.org/project/pytest-instafail
-"
-SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-   >=dev-python/pytest-2.9[${PYTHON_USEDEP}]
-"
-DEPEND="
-   ${RDEPEND}
-   test? (
-   dev-python/pexpect[${PYTHON_USEDEP}]
-   dev-python/pytest-instafail[${PYTHON_USEDEP}]
-   dev-python/pytest-xdist[${PYTHON_USEDEP}]
-   )
-"
-
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-distutils_enable_tests pytest

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
similarity index 61%
rename from dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild
rename to dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
index cd776337..0599a10a 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
@@ -3,36 +3,39 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( pypy3 python3_{7,8} )
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( pypy3 python3_{7,8,9} )
 
 inherit distutils-r1
 
-MY_PV=${PV/_p/.post}
-
 DESCRIPTION="Plugin for pytest that shows failures and errors instantly"
 HOMEPAGE="
https://github.com/pytest-dev/pytest-instafail
https://pypi.org/project/pytest-instafail
 "
-SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
+
 RDEPEND="
>=dev-python/pytest-2.9[${PYTHON_USEDEP}]
 "
-DEPEND="
-   ${RDEPEND}
-   test? (
+BDEPEND="test? (
dev-python/pexpect[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
 "
-S="${WORKDIR}/${PN}-${MY_PV}"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+   # pexpect.exceptions.EOF: End Of File (EOF). Exception style platform.
+   sed -i -e 's:test_print_stacktrace_once_with_pdb:_&:' \
+   test_instafail.py  || die
+
+   distutils-r1_python_prepare_all
+}
 
 python_test() {
distutils_install_for_testing



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2020-05-18 Thread Alessandro Barbieri
commit: f0ba6a485e73832f951a847094bf308ab785fc1d
Author: Alessandro Barbieri  gmail  com>
AuthorDate: Mon May 18 00:54:14 2020 +
Commit: Alessandro Barbieri  gmail  com>
CommitDate: Mon May 18 15:41:09 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f0ba6a48

dev-python/pytest-instafail: pypy3 added

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri  gmail.com>

 .../pytest-instafail-0.4.1_p0-r1.ebuild| 40 ++
 1 file changed, 40 insertions(+)

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild
new file mode 100644
index 000..b332b8a
--- /dev/null
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_PV=${PV/_p/.post}
+
+DESCRIPTION="Plugin for pytest that shows failures and errors instantly"
+HOMEPAGE="
+   https://github.com/pytest-dev/pytest-instafail
+   https://pypi.org/project/pytest-instafail
+"
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+RDEPEND="
+   >=dev-python/pytest-2.9[${PYTHON_USEDEP}]
+"
+DEPEND="
+   ${RDEPEND}
+   test? (
+   dev-python/pexpect[${PYTHON_USEDEP}]
+   dev-python/pytest-xdist[${PYTHON_USEDEP}]
+   )
+"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+python_test() {
+   distutils_install_for_testing
+   pytest -vv || die "Testsuite failed under ${EPYTHON}"
+}



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2020-04-16 Thread Andrew Ammerlaan
commit: 056beb91d868cc138facdf0994c028266b3589f7
Author: Andrew Ammerlaan  riseup  net>
AuthorDate: Thu Apr 16 09:33:39 2020 +
Commit: Andrew Ammerlaan  riseup  net>
CommitDate: Thu Apr 16 09:33:39 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=056beb91

dev-python/pytest-instafail: version bump 0.4.1_post0

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan  riseup.net>

 dev-python/pytest-instafail/Manifest| 2 +-
 ...test-instafail-0.4.1.ebuild => pytest-instafail-0.4.1_p0.ebuild} | 6 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/dev-python/pytest-instafail/Manifest 
b/dev-python/pytest-instafail/Manifest
index 002fbd8..f617288 100644
--- a/dev-python/pytest-instafail/Manifest
+++ b/dev-python/pytest-instafail/Manifest
@@ -1 +1 @@
-DIST pytest-instafail-0.4.1.tar.gz 5237 BLAKE2B 
697aca533e3654204d5c7cdee245c7c2f7811b7941f195923983be8a30d76b0a132d1eff984c86070a9c4a5463adb6143d1f8915a105c2c75d59e8ca92149e86
 SHA512 
f043a1a58a2fc92c740e916008fe3e8bb66d3086f2c518f34ef8d63362169cd1b4f4a5f39b70382329cda837e0fd6c02cbb7504292d0aed95994d473c6430488
+DIST pytest-instafail-0.4.1_p0.tar.gz 5301 BLAKE2B 
542ae74fa6f381e58252f7a00bf4e1a5208679a6c56d0c9e2e39b46daec34459c2fe2b4ec8c2e6a94d517a769df0019752b1f87257e70a00683e3bb72f3f2d93
 SHA512 
1e2d7a1dd13ab11d5f6a5e8876aa8a48a6ff9012707d63023d709bfb1aa9a9ee3c088fc9b507d4b75d41e7ab1474154937575b2fa3a6f1bfb286fc3865f70382

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild
similarity index 83%
rename from dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
rename to dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild
index c65e6b1..1c0e9dd 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild
@@ -9,12 +9,14 @@ DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1
 
+MY_PV=${PV/_p/.post}
+
 DESCRIPTION="Plugin for pytest that shows failures and errors instantly"
 HOMEPAGE="
https://github.com/pytest-dev/pytest-instafail
https://pypi.org/project/pytest-instafail
 "
-SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
 
 LICENSE="BSD"
 SLOT="0"
@@ -32,4 +34,6 @@ DEPEND="
)
 "
 
+S="${WORKDIR}/${PN}-${MY_PV}"
+
 distutils_enable_tests pytest



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2020-03-31 Thread Andrew Ammerlaan
commit: 664683f70695e2a14fdfca72fbb4ded6cef86016
Author: Andrew Ammerlaan  riseup  net>
AuthorDate: Tue Mar 31 10:20:56 2020 +
Commit: Andrew Ammerlaan  riseup  net>
CommitDate: Tue Mar 31 10:20:56 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=664683f7

dev-python/pytest-instafail: fix tests

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan  riseup.net>

 dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
index 6053f1c..c65e6b1 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
@@ -27,6 +27,7 @@ DEPEND="
${RDEPEND}
test? (
dev-python/pexpect[${PYTHON_USEDEP}]
+   dev-python/pytest-instafail[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
 "



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2020-03-30 Thread Alessandro Barbieri
commit: 361a6cb46283e9670815a5e55ca1e969a28c6ca6
Author: Alessandro Barbieri  gmail  com>
AuthorDate: Mon Mar 30 19:20:38 2020 +
Commit: Alessandro Barbieri  gmail  com>
CommitDate: Mon Mar 30 19:36:17 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=361a6cb4

dev-python/pytest-instafail: tests works for me

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri  gmail.com>

 dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild | 2 --
 1 file changed, 2 deletions(-)

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
index 118d3e2..6053f1c 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
@@ -20,8 +20,6 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-RESTRICT="test"
-
 RDEPEND="
>=dev-python/pytest-2.9[${PYTHON_USEDEP}]
 "



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2020-03-29 Thread Andrew Ammerlaan
commit: 9bcc2d4a15ce8d2c0caf2386d8566245eefc38e2
Author: Andrew Ammerlaan  riseup  net>
AuthorDate: Sun Mar 29 10:59:31 2020 +
Commit: Andrew Ammerlaan  riseup  net>
CommitDate: Sun Mar 29 10:59:31 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9bcc2d4a

dev-python/pytest-instafail: add DISTUTILS_USE_SETUPTOOLS=rdepend

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan  riseup.net>

 dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
index cb08939..118d3e2 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
@@ -5,6 +5,8 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{6,7,8} )
 
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
 inherit distutils-r1
 
 DESCRIPTION="Plugin for pytest that shows failures and errors instantly"



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-instafail/

2020-03-29 Thread Alessandro Barbieri
commit: 6cc71c8656ff2348ed5e7971baac62e4189c87bd
Author: Alessandro Barbieri  gmail  com>
AuthorDate: Sun Mar 29 09:08:57 2020 +
Commit: Alessandro Barbieri  gmail  com>
CommitDate: Sun Mar 29 09:29:02 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6cc71c86

dev-python/pytest-instafail: new package

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri  gmail.com>

 dev-python/pytest-instafail/Manifest   |  1 +
 dev-python/pytest-instafail/metadata.xml   | 13 +
 .../pytest-instafail/pytest-instafail-0.4.1.ebuild | 32 ++
 3 files changed, 46 insertions(+)

diff --git a/dev-python/pytest-instafail/Manifest 
b/dev-python/pytest-instafail/Manifest
new file mode 100644
index 000..002fbd8
--- /dev/null
+++ b/dev-python/pytest-instafail/Manifest
@@ -0,0 +1 @@
+DIST pytest-instafail-0.4.1.tar.gz 5237 BLAKE2B 
697aca533e3654204d5c7cdee245c7c2f7811b7941f195923983be8a30d76b0a132d1eff984c86070a9c4a5463adb6143d1f8915a105c2c75d59e8ca92149e86
 SHA512 
f043a1a58a2fc92c740e916008fe3e8bb66d3086f2c518f34ef8d63362169cd1b4f4a5f39b70382329cda837e0fd6c02cbb7504292d0aed95994d473c6430488

diff --git a/dev-python/pytest-instafail/metadata.xml 
b/dev-python/pytest-instafail/metadata.xml
new file mode 100644
index 000..450c13e
--- /dev/null
+++ b/dev-python/pytest-instafail/metadata.xml
@@ -0,0 +1,13 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+
+  
+lssndrbarbi...@gmail.com
+Alessandro Barbieri
+  
+  
+pytest-dev/pytest-instafail
+pytest-instafail
+  
+

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
new file mode 100644
index 000..7defbbd
--- /dev/null
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Plugin for py.test that shows failures and errors instantly 
instead of waiting until the end of test session"
+HOMEPAGE="
+   https://github.com/pytest-dev/pytest-instafail
+   https://pypi.org/project/pytest-instafail
+"
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+   >=dev-python/pytest-2.9[${PYTHON_USEDEP}]
+"
+DEPEND="
+   ${RDEPEND}
+   test? (
+   dev-python/pexpect[${PYTHON_USEDEP}]
+   dev-python/pytest-xdist[${PYTHON_USEDEP}]
+   )
+"
+
+distutils_enable_tests pytest